%define major		3
%define major_c		1
%define lib_name	%mklibname %{name} %{major}
%define lib_name_c	%mklibname %{name}_c %{major_c}
%define devel_name	%mklibname %{name} -d

Name:        geos
Version:     3.0.3
Release:     %mkrel 1
License:     LGPLv2+
Summary:     GEOS (Geometry Engine, Open Source) topology library
URL:         http://geos.refractions.net
Source:      http://geos.refractions.net/downloads/%{name}-%{version}.tar.bz2
Group:       Sciences/Geosciences
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildRequires: multiarch-utils

%description
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences
Provides:	%{name} lib%{name}

%description -n %{lib_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{lib_name_c}
Summary:	Libraries for GEOS
Group:		Sciences/Geosciences

%description -n %{lib_name_c}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.

%package -n %{devel_name}
Summary:	Development Libraries for the GEOS topology library
Group:		Sciences/Geosciences
Requires:	%{lib_name} = %{version}
Requires:	%{lib_name_c} = %{version}
Provides:	%{name}-devel lib%{name}-devel
Obsoletes:	%{lib_name}-devel

%description -n %{devel_name}
The GEOS library provides topological operators and simple spatial constructs:
points, lines, polygons, and collections.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std
%{__rm} -f %{buildroot}/%{_libdir}/*.la
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/geos-config

%clean
rm -Rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{lib_name_c} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name_c} -p /sbin/ldconfig
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgeos-%{major}.*.so

%files -n %{lib_name_c}
%defattr(-,root,root)
%{_libdir}/libgeos_c.so.%{major_c}
%{_libdir}/libgeos_c.so.%{major_c}.*

%files -n %{devel_name}
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/geos-config
%{_bindir}/geos-config
%{_bindir}/XMLTester
%dir %{_includedir}/geos
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%exclude %{_libdir}/libgeos_c.so.%{major_c}*
%exclude %{_libdir}/libgeos-%{major}.*.so


%changelog
* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 341544
- New upstream release

* Tue Jan 27 2009 Funda Wang <fundawang@mandriva.org> 3.0.0-5mdv2009.1
+ Revision: 334035
- really fix conflicts

* Tue Jan 27 2009 Funda Wang <fundawang@mandriva.org> 3.0.0-4mdv2009.1
+ Revision: 334029
- fix conflicts

* Wed Aug 27 2008 Emmanuel Andry <eandry@mandriva.org> 3.0.0-3mdv2009.0
+ Revision: 276439
- apply devel policy
- use configure2_5x
- fix gcc43 build with P0 from fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 139606
- New version
- use major

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 27 2007 Anssi Hannula <anssi@mandriva.org> 2.2.3-2mdv2007.0
+ Revision: 114404
- fix missing require from -devel package

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 2.2.3-1mdv2007.0
+ Revision: 51711
- New upstream version 2.2.3, gcc 4 compliant
- import geos-2.1.4-1mdk

* Fri Sep 02 2005 Michael Scherer <misc@mandriva.org> 2.1.4-1mdk
- New release 2.1.4

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 2.1.3-1mdk
- New release 2.1.3
- mkrel, multiarch

* Sun Oct 31 2004 Michael Scherer <misc@mandrake.org> 2.0.1-1mdk
- 2.0.1
- from Jorrit Jorritsma <jjorritsma@aboveit.nl>
  - src rpm borrowed from postgis.refractions.net
  - altered specfile to make it conform Mandake cooker specs

